Bug 170271 - [MAINTAINER] net/babeld: Up to 1.3.3
Summary: [MAINTAINER] net/babeld: Up to 1.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 08:20 UTC by Hung-Yi Chen
Modified: 2012-08-02 22:00 UTC (History)
0 users

See Also:


Attachments
babeld.diff (2.07 KB, patch)
2012-07-30 08:20 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2012-07-30 08:20:14 UTC
	Up to 1.3.3.
Comment 1 Jason Helfman freebsd_committer 2012-07-31 06:41:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-02 21:59:59 UTC
Author: jgh
Date: Thu Aug  2 20:59:47 2012
New Revision: 301870
URL: http://svn.freebsd.org/changeset/ports/301870

Log:
  - update to 1.3.3 [1]
  - update master_sites, remove patch after upstream inclusion [2]
  
  PR:	ports/170271 [1]
  PR:	ports/170291 [2]
  Submitted by:	maintainer, gaod@hychen.org [1], anarcat@anarcat.ath.cx [2]
  Approved by: maintainer

Deleted:
  head/net/babeld/files/patch-util.c
Modified:
  head/net/babeld/Makefile
  head/net/babeld/distinfo
  head/net/babeld/files/patch-Makefile

Modified: head/net/babeld/Makefile
==============================================================================
--- head/net/babeld/Makefile	Thu Aug  2 20:55:45 2012	(r301869)
+++ head/net/babeld/Makefile	Thu Aug  2 20:59:47 2012	(r301870)
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	babeld
-PORTVERSION=	1.2.0
+PORTVERSION=	1.3.3
 CATEGORIES=	net
-MASTER_SITES=	http://www.pps.jussieu.fr/~jch/software/files/
+MASTER_SITES=	http://www.pps.univ-paris-diderot.fr/~jch/software/files/
 
 MAINTAINER=	gaod@hychen.org
 COMMENT=	A distance-vector routing protocol

Modified: head/net/babeld/distinfo
==============================================================================
--- head/net/babeld/distinfo	Thu Aug  2 20:55:45 2012	(r301869)
+++ head/net/babeld/distinfo	Thu Aug  2 20:59:47 2012	(r301870)
@@ -1,2 +1,2 @@
-SHA256 (babeld-1.2.0.tar.gz) = e864298dda0a0a3d1daf91d1cf45ddd0896557accbbe5eb8aec3c2d3cf7a6aef
-SIZE (babeld-1.2.0.tar.gz) = 62720
+SHA256 (babeld-1.3.3.tar.gz) = 1376b901f18b193defa2b4e4337e13ead21c0a60c309e37ba086d82fe2f5638f
+SIZE (babeld-1.3.3.tar.gz) = 65126

Modified: head/net/babeld/files/patch-Makefile
==============================================================================
--- head/net/babeld/files/patch-Makefile	Thu Aug  2 20:55:45 2012	(r301869)
+++ head/net/babeld/files/patch-Makefile	Thu Aug  2 20:59:47 2012	(r301870)
@@ -1,30 +1,14 @@
---- Makefile.orig	2010-02-09 01:42:25.000000000 +0800
-+++ Makefile	2010-04-21 17:35:52.000000000 +0800
-@@ -1,12 +1,8 @@
--PREFIX = /usr/local
--
+--- Makefile.orig	2012-07-30 15:04:33.000000000 +0800
++++ Makefile	2012-07-30 15:05:21.000000000 +0800
+@@ -1,6 +1,6 @@
+ PREFIX = /usr/local
+ 
 -CDEBUGFLAGS = -Os -g -Wall
-+CDEBUGFLAGS = -O2 -Wall
++CDEBUGFLAGS = -O2 -g -Wall
  
  DEFINES = $(PLATFORM_DEFINES)
  
--CFLAGS = $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES)
--
--LDLIBS = -lrt
-+CFLAGS = $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES) -D__APPLE__
- 
- SRCS = babeld.c net.c kernel.c util.c network.c source.c neighbour.c \
-        route.c xroute.c message.c resend.c config.c local.c
-@@ -15,7 +11,7 @@
-        route.o xroute.o message.o resend.o config.o local.o
- 
- babeld: $(OBJS)
--	$(CC) $(CFLAGS) $(LDFLAGS) -o babeld $(OBJS) $(LDLIBS)
-+	$(CC) $(CFLAGS) $(LDFLAGS) -o babeld $(OBJS)
- 
- .SUFFIXES: .man .html
- 
-@@ -33,13 +29,10 @@
+@@ -33,13 +33,10 @@
  all: babeld babeld.man
  
  install.minimal: babeld
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-08-02 22:00:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!